Subject: Re: Problems with Kernels 3.17-rc1 and onwards on Acube Sam460 AMCC 460ex board

From: Julian Margetson <[email-masked]>
Date: Wed, 25 Feb 2015 09:32:29 -0400

Problem also seems to exist with P1022 based board as well .
https://community.freescale.com/thread/339022

On 2/25/2015 9:26 AM, Julian Margetson wrote:
> Verified that the problems with the
> radeon: ring 0 test failed error
> go back to at least  Kernel 3.0.1
>
> On 2/24/2015 4:26 PM, Julian Margetson wrote:
>> Thanks
>>
>> after skipping several times :
>>
>> git bisect skip
>>
>> There are only 'skip'ped commits left to test.
>> The first bad commit could be any of:
>> b486e0e6d599b9ca8667fb9a7d49b7383ee963c7
>> eab3bbeffd152125ae0f90863b8e9bc8eef49423
>> 960cd9d4fef6dd9e235c0e5c0d4ed027f8a48025
>> f02ad907cd9e7fe3a6405d2d005840912f1ed258
>> 6a425c2a9b37ca3d2c37e3c1cdf973dba53eaa79
>> ee0a89cf3c2c550e6d877dda21dd2947afb90cb6
>> 92890583627ee2a0518e55b063fcff86826fef96
>> 95d6eb3b134e1826ed04cc92b224d93de13e281f
>> 9469244d869623e8b54d9f3d4d00737e377af273
>> We cannot bisect more!
>>
>>
>>
>> On 2/24/2015 3:14 PM, Gerhard Pircher wrote:
>>> Am 2015-02-24 um 12:08 schrieb Julian Margetson:
>>>> Problems with  the Gib bisect
>>>> Kernel wont compile after 10th bisect .
>>> You can try "git bisect skip" to select another commit for testing.
>>> Hopefully that one compiles fine then.
>>>
>>> Gerhard
>>>
>>>> drivers/built-in.o: In function `drm_mode_atomic_ioctl':
>>>> (.text+0x865dc): undefined reference to `__get_user_bad'
>>>> make: *** [vmlinux] Error 1
>>>> root@julian-VirtualBox:/usr/src/linux# git bisect log
>>>> git bisect start
>>>> # bad: [c517d838eb7d07bbe9507871fab3931deccff539] Linux 4.0-rc1
>>>> git bisect bad c517d838eb7d07bbe9507871fab3931deccff539
>>>> # good: [bfa76d49576599a4b9f9b7a71f23d73d6dcff735] Linux 3.19
>>>> git bisect good bfa76d49576599a4b9f9b7a71f23d73d6dcff735
>>>> # good: [02f1f2170d2831b3233e91091c60a66622f29e82] kernel.h: remove ancient __FUNCTION__ hack
>>>> git bisect good 02f1f2170d2831b3233e91091c60a66622f29e82
>>>> # bad: [796e1c55717e9a6ff5c81b12289ffa1ffd919b6f] Merge branch 'drm-next' of git://people.freedesktop.org/~airlied/linux
>>>> git bisect bad 796e1c55717e9a6ff5c81b12289ffa1ffd919b6f
>>>> # good: [9682ec9692e5ac11c6caebd079324e727b19e7ce] Merge tag 'driver-core-3.20-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/driver-core
>>>> git bisect good 9682ec9692e5ac11c6caebd079324e727b19e7ce
>>>> # good: [a9724125ad014decf008d782e60447c811391326] Merge tag 'tty-3.20-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/tty
>>>> git bisect good a9724125ad014decf008d782e60447c811391326
>>>> # good: [f43dff0ee00a259f524ce17ba4f8030553c66590] Merge tag 'drm-amdkfd-next-fixes-2015-01-25' of git://people.freedesktop.org/~gabbayo/linux into drm-next
>>>> git bisect good f43dff0ee00a259f524ce17ba4f8030553c66590
>>>> # bad: [cffe1e89dc9bf541a39d9287ced7c5addff07084] drm: sti: HDMI add audio infoframe
>>>> git bisect bad cffe1e89dc9bf541a39d9287ced7c5addff07084
>>>> # good: [2f5b4ef15c60bc5292a3f006c018acb3da53737b] Merge tag 'drm/tegra/for-3.20-rc1' of git://anongit.freedesktop.org/tegra/linux into drm-next
>>>> git bisect good 2f5b4ef15c60bc5292a3f006c018acb3da53737b
>>>> # bad: [865844448ce80ccd714793e9ba4140d7ae214229] drm/udl: optimize udl_compress_hline16 (v2)
>>>> git bisect bad 865844448ce80ccd714793e9ba4140d7ae214229
>>>> # bad: [d47df63393ed81977e0f6435988d9cbd70c867f7] drm/panel: simple: Add AVIC TM070DDH03 panel support
>>>> git bisect bad d47df63393ed81977e0f6435988d9cbd70c867f7
>>>> # bad: [9469244d869623e8b54d9f3d4d00737e377af273] drm/atomic: Fix potential use of state after free
>>>> git bisect bad 9469244d869623e8b54d9f3d4d00737e377af273
>>>> root@julian-VirtualBox:/usr/src/linux#
>>>>
>>>>
>>>>
>>>> On 02/24/2015, you wrote:
>>>>
>>>>> On Fri, 2015-02-20 at 15:25 -0400, Julian Margetson wrote:
>>>>>> On 2/18/2015 11:25 PM, Julian Margetson wrote:
>>>>>>   re PPC4XX PCI(E) MSI support.
>>>>>> https://lists.ozlabs.org/pipermail/linuxppc-dev/2010-November/087273.html
>>>>> Hmm, I think all those comments were addressed before it was merged.
>>>>>
>>>>> I tried to get a 4xx board going here last week, but it doesn't seem happy. I
>>>>> can get a bit of uboot but then it hangs, might be overheating.
>>>>>
>>>>> cheers
>>>>>
>>>>>
>>>> _______________________________________________
>>>> Linuxppc-dev mailing list
>>>> [email-masked]
>>>> https://lists.ozlabs.org/listinfo/linuxppc-dev
>>>>
>>
>